<?php
	//include("conexioncrud.php");
	include("datos_sistema.php"); 
	//$marca=$_POST['marca'];
	if ($_SERVER['REQUEST_METHOD'] == 'POST') {
		$alumnos=$_POST['alumnos'];
		$array_datos_alumno=explode(" | ",$alumnos);
		$rutalumno = $array_datos_alumno[2];
		$sql_alumnos = "SELECT * FROM alumnos WHERE rut = '$rutalumno'";
    	$queryalumnos = mysqli_query($con, $sql_alumnos);
    	$row_alumno = mysqli_fetch_assoc($queryalumnos);
    	$id_alumno = $row_alumno['id_alumno'];
    	$id_apoderado = $row_alumno['id_apoderado'];
    	$nombre_alumno = $row_alumno['nombres'];
    	$apellidos_alumno = $row_alumno['apellidos'];
    	$monto_mensualidad = $row_alumno['monto_mensualidad'];
    	$mensualidades_pagadas = $row_alumno['mensualidades_pagadas']; //no es necesario
		$apoderado=$_POST['apoderado'];
		$abono=$_POST['abono'];
		$fecha_pago=$_POST['fecha_pago'];
		$nuevo_monto_mensualidad=$_POST['nuevo_monto_mensualidad'];
		if ($nuevo_monto_mensualidad > 0) {
	        $editado_monto = "Si";
	    } else {
	       	$editado_monto = "No";
	    }
		
		//CONTAR NUMERO DE PAGOS MENSUALIDAD DEL ALUMNO EN COLUMNA MENSUALIDADES:
		$sql_mensualidad = "SELECT * FROM mensualidades WHERE id_alumno = '$id_alumno' AND estado = 'Activo'";
		$querymensualidad = mysqli_query($con, $sql_mensualidad);
		$cantMensualidades = mysqli_num_rows($querymensualidad); //variable que se inserta en update alumnos cantidadespagadas
		$mensualidad_actual = $cantMensualidades + 1; //ej si en bd hay 3 pagos del alumno, este entonces debe ser 4.
	  	$succ="";

	  	$cantidad_real_mensualidades = 0;
		// Recibir los checkboxes seleccionados
	    if (isset($_POST['mensualidades']) && is_array($_POST['mensualidades'])) {
		    $mensualidadesSeleccionadas = $_POST['mensualidades'];
		    $cantidadMensualidadesSeleccionadas = count($mensualidadesSeleccionadas); // Número de checkboxes seleccionados

		    // Obtener las mensualidades faltantes restando las ya pagadas
		    $mensualidadesFaltantes = array_slice($mensualidadesSeleccionadas, $cantMensualidades); // Saltar las pagadas

		    // Procesar solo las mensualidades faltantes
		    foreach ($mensualidadesFaltantes as $mensualidad) {
		        // Aquí puedes hacer el registro en la base de datos para cada mensualidad faltante
		        $sql_insert = "INSERT INTO mensualidades (id_alumno, id_apoderado, nombres_alumno, apellidos_alumno, n_mensualidad, fecha_pago, creado_por, monto_mensualidad, monto_editado, nuevo_monto, estado) VALUES ('$id_alumno', '$id_apoderado', '$nombre_alumno', '$apellidos_alumno', '$mensualidad_actual', '$fecha_pago', '$nombre_apellido', '$monto_mensualidad', '$editado_monto', '$nuevo_monto_mensualidad', 'Activo')";
		        
		        $resultado = mysqli_query($con, $sql_insert);
		        $mensualidad_actual++;
		    }
		}

		$sql_mensualidades = "UPDATE alumnos 
            SET mensualidades_pagadas = '$cantidadMensualidadesSeleccionadas'
            WHERE id_alumno = '$id_alumno'";
    	$resultado_mensualidad = mysqli_query($con, $sql_mensualidades) or die(mysqli_error($con)); 
		

	  	if (!$resultado) {
	  		// Si hay un error, muestra el mensaje de error y termina el script
	        $response = mysqli_error($con);
	        echo $response;
		}else{
			//$response = "success";
			$response = $id_usuario . "success";
        	echo $response;			
		}
		 //$response = "Técnico registrado con éxito.";
  		 //echo $id_cliente;
		 mysqli_close($con);
	} else {
	    echo 'Solicitud incorrecta.';
	}


?>
